%define objprelink 1

Name: gmyclient
Version: 0.3
Release: alt3
Source0: %name-%version.tar.bz2

Packager: Yehuda Ben-Yosef <ilar@altlinux.ru>

Url: http://gmyclient.sourceforge.net

License: GPL
Group: Databases
Summary: Gmyclient is a powerful graphical mysql client to use under gnome.(GPL)
Icon: gmyclient.xpm

BuildPreReq: autoconf_2.13 automake_1.4

# Automatically added by buildreq on Wed Sep 18 2002
BuildRequires: ORBit-devel XFree86-devel XFree86-libs coreutils esound-devel freetype2-devel gdk-pixbuf-devel glib-devel glibc-devel-static gnome-libs-devel gtk+-devel imlib-devel libMySQL-devel libaudiofile-devel libdb1-devel libglade-devel libgnomeprint-devel libxml-devel xpm-devel zlib-devel

%description
Gmyclient is designed to be a simple, quick, and powerful way to access your MySQL database.
it provides you a powerful way to create/edit all MySQL database objects most easy and simple way.

%prep
%setup -q

%build
%set_autoconf_version 2.13
%set_automake_version 1.4
%configure --prefix=%_prefix
%if %objprelink
%make_build CXX=g++prelink
%else
%make_build
%endif

%install
mkdir -p $RPM_BUILD_ROOT%prefix/share
mkdir -p $RPM_BUILD_ROOT%prefix/share/icons
%make DESTDIR=%buildroot install
%set_verify_elf_method relaxed
cp $RPM_BUILD_ROOT/usr/share/gmyclient/pixmaps/gmyclient_icon.png $RPM_BUILD_ROOT/usr/share/icons/gmyclient.png

(cd $RPM_BUILD_ROOT
mkdir -p .%_menudir
cat > .%_menudir/%name <<EOF
?package(%name): \
command="/usr/bin/gmyclient" \
title=" GMyClient" \
longtitle=" Gmyclient is a powerful graphical mysql client" \
needs="x11" \
icon="%name.png" \
section="Applications/Databases"
EOF
)

%post
%update_menus

%postun
%clean_menus

%files
%_datadir/locale/*
%_datadir/gnome/apps/Applications/*
%dir %_datadir/%name
%_datadir/%name/*
%dir %_libdir/%name
%dir %_libdir/%name/plugins
%_libdir/%name/plugins/*

%doc README INSTALL COPYING AUTHORS ChangeLog NEWS
%_bindir/*
%_menudir/*
%_iconsdir/*

%changelog
* Fri Nov 15 2002 Yehuda Ben-Yosef <ilar66@elterrus.org> 0.3-alt3
- add russian language. Autor - Vitaly Lipatov <LAV@VL3143.spb.edu>

* Wed Sep 18 2002 Stanislav Ievlev <inger@altlinux.ru> 0.3-alt2.1
- rebuild with new XFree86
- cleanup spec
- update auto buildreqs
- move make_build into build section

* Tue Aug 27 2002 Yehuda Ben-Yosef <ilar66@elterrus.org> 0.3-alt2
- 0.3

* Sat Jun 4 2002 Yehuda Ben-Yosef <ilar66@elterrus.org> 0.3-alt1
- 0.3

- specfile cleanup

